# Created by pyp2rpm-3.3.3
%global pypi_name flask-restx
%global mod_name flask_restx

# run tests
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        %mkrel 1
Summary:        Fully featured framework for fast, easy and documented API development with Flask
Group:          Development/Python
License:        BSD-3-Clause
URL:            https://github.com/python-restx/flask-restx
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3dist(aniso8601) >= 0.82
BuildRequires:  python3dist(jsonschema)
BuildRequires:  python3dist(flask) >= 0.8
BuildRequires:  python3dist(werkzeug)
BuildRequires:  python3dist(pytz)
BuildRequires:  python3dist(six) >= 1.3.0
%if %{with tests}
BuildRequires:  python3dist(blinker)
BuildRequires:  python3dist(faker)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest) >= 5.0.1
BuildRequires:  python3dist(pytest-benchmark)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-flask)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(pytest-profiling)
BuildRequires:  python3dist(pytest-sugar)
BuildRequires:  python3dist(tzlocal)
%endif

%description
Flask-RESTX is a community driven fork of Flask-RESTPlus.

Flask-RESTX is an extension for Flask that adds support for quickly building
REST APIs. Flask-RESTX encourages best practices with minimal setup. If you are
familiar with Flask, Flask-RESTX should be easy to pick up. It provides a
coherent collection of decorators and tools to describe your API and expose its
documentation properly using Swagger.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-flask_restx}

%description -n python3-%{pypi_name}
Flask-RESTX is a community driven fork of Flask-RESTPlus.

Flask-RESTX is an extension for Flask that adds support for quickly building
REST APIs. Flask-RESTX encourages best practices with minimal setup. If you are
familiar with Flask, Flask-RESTX should be easy to pick up. It provides a
coherent collection of decorators and tools to describe your API and expose its
documentation properly using Swagger.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

# loosen reqs
sed -i -e 's/!=/</g' requirements/install.pip

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{mod_name}
%{python3_sitelib}/%{mod_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Oct 09 2021 wally <wally> 0.5.1-1.mga8
+ Revision: 1750363
- new version 0.5.1 to fix CVE-2021-32838 (mga#29509)

* Wed Sep 09 2020 guillomovitch <guillomovitch> 0.2.0-2.mga8
+ Revision: 1623954
- drop maximum version for build dependency

* Fri Apr 03 2020 wally <wally> 0.2.0-1.mga8
+ Revision: 1564177
- new version 0.2.0

* Sat Mar 21 2020 wally <wally> 0.1.1-1.mga8
+ Revision: 1558604
- imported package python-flask-restx

